LinuxQMISDK: qaGobiApiSwiAudio.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Functions
qaGobiApiSwiAudio.h File Reference
SWI Audio Service(SWIAUDIO)

M2M Audio Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | GetM2MAudioProfileReq
struct | GetM2MAudioProfileResp
struct | SetM2MAudioProfileReq
struct | GetM2MAudioVolumeReq
struct | GetM2MAudioVolumeResp
struct | SetM2MAudioVolumeReq
struct | PCMparams
struct | SetM2MAudioAVCFGReq
struct | SetM2MAudioLPBKReq
struct | GetM2MSpkrGainReq
struct | GetM2MSpkrGainResp
struct | SetM2MSpkrGainReq
struct | GetM2MAVMuteReq
struct | GetM2MAVMuteResp
struct | SetM2MAVMuteReq

## Macros
#define | MAX_LEN_IFACE_TABLE 255

## Functions
ULONG | SLQSGetM2MAudioProfile (GetM2MAudioProfileReq *pGetM2MAudioProfileReq, GetM2MAudioProfileResp *pGetM2MAudioProfileResp)
ULONG | SLQSSetM2MAudioProfile (SetM2MAudioProfileReq *pSetM2MAudioProfileReq)
ULONG | SLQSGetM2MAudioVolume (GetM2MAudioVolumeReq *pGetM2MAudioVolumeReq, GetM2MAudioVolumeResp *pGetM2MAudioVolumeResp)
ULONG | SLQSSetM2MAudioVolume (SetM2MAudioVolumeReq *pSetM2MAudioVolumeReq)
ULONG | SLQSSetM2MAudioAVCFG (SetM2MAudioAVCFGReq *pSetM2MAudioAVCFGReq)
ULONG | SLQSSetM2MAudioLPBK (SetM2MAudioLPBKReq *pSetM2MAudioLPBKReq)
ULONG | SLQSSetM2MAudioNVDef ()
ULONG | SLQSGetM2MSpkrGain (GetM2MSpkrGainReq *pSpkrGainReq, GetM2MSpkrGainResp *pSpkrGainResp)
ULONG | SLQSSetM2MSpkrGain (SetM2MSpkrGainReq *pSpkrGainReq)
ULONG | SLQSGetM2MAVMute (GetM2MAVMuteReq *pGetM2MAVMuteReq, GetM2MAVMuteResp *pGetM2MAVMuteResp)
ULONG | SLQSSetM2MAVMute (SetM2MAVMuteReq *pSetM2MAVMuteReq)

## Detailed Description

M2M Audio Service API function prototypes.

Copyright: © 2013 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define MAX_LEN_IFACE_TABLE 255

## Function Documentation

ULONG SLQSGetM2MAudioProfile | ( | GetM2MAudioProfileReq * | pGetM2MAudioProfileReq,
|  | GetM2MAudioProfileResp * | pGetM2MAudioProfileResp
| ) |  |

This API gets the profile content.

Parameters

  pGetM2MAudioProfileReq[OUT] | See GetM2MAudioProfileReq for more information
  pGetM2MAudioProfileResp[OUT] | See GetM2MAudioProfileResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSGetM2MAudioVolume | ( | GetM2MAudioVolumeReq * | pGetM2MAudioVolumeReq,
|  | GetM2MAudioVolumeResp * | pGetM2MAudioVolumeResp
| ) |  |

This API gets the Volume content.

Parameters

  pGetM2MAudioVolumeReq[IN] | See GetM2MAudioVolumeReq for more information
  pGetM2MAudioVolumeResp[OUT] | See GetM2MAudioVolumeResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSGetM2MAVMute | ( | GetM2MAVMuteReq * | pGetM2MAVMuteReq,
|  | GetM2MAVMuteResp * | pGetM2MAVMuteResp
| ) |  |

This API Gets the AV Mute content.

Parameters

  pGetM2MAVMuteReq[IN] | See GetM2MAVMuteReq for more information
  pGetM2MAVMuteResp[OUT] | See GetM2MAVMuteResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSGetM2MSpkrGain | ( | GetM2MSpkrGainReq * | pSpkrGainReq,
|  | GetM2MSpkrGainResp * | pSpkrGainResp
| ) |  |

This API Gets the SPKRGAIN content.

Parameters

  pSpkrGainReq[IN] | See GetM2MSpkrGainReq for more information
  pSpkrGainResp[OUT] | See GetM2MSpkrGainResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MAudioAVCFG | ( | SetM2MAudioAVCFGReq * | pSetM2MAudioAVCFGReq | ) |

This API sets the AVCFG content.

Parameters

  pSetM2MAudioAVCFGReq[IN] | See SetM2MAudioAVCFGReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MAudioLPBK | ( | SetM2MAudioLPBKReq * | pSetM2MAudioLPBKReq | ) |

This API sets the LPBK content.

Parameters

  pSetM2MAudioLPBKReq[IN] | See SetM2MAudioLPBKReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MAudioNVDef | ( |  | ) |

This API sets the NVDef content.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MAudioProfile | ( | SetM2MAudioProfileReq * | pSetM2MAudioProfileReq | ) |

This API sets the profile content.

Parameters

  pSetM2MAudioProfileReq[IN] | See SetM2MAudioProfileReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MAudioVolume | ( | SetM2MAudioVolumeReq * | pSetM2MAudioVolumeReq | ) |

This API sets the Volume content.

Parameters

  pSetM2MAudioVolumeReq[IN] | See SetM2MAudioVolumeReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MAVMute | ( | SetM2MAVMuteReq * | pSetM2MAVMuteReq | ) |

This API Sets the AV Mute content.

Parameters

  pSetM2MAVMuteReq[IN] | See SetM2MAVMuteReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSetM2MSpkrGain | ( | SetM2MSpkrGainReq * | pSpkrGainReq | ) |

This API Sets the SPKRGAIN content.

Parameters

  pSpkrGainReq[IN] | See GetM2MSpkrGainReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds